# StippleCharts

`StippleCharts` is a library of reactive charts for [Stipple.jl](https://github.com/GenieFramework/Stipple.jl).

`StippleCharts.jl`, together with
[Stipple.jl](https://github.com/GenieFramework/Stipple.jl),
[StippleUI.jl](https://github.com/GenieFramework/StippleUI.jl) and
[Genie.jl](https://github.com/GenieFramework/Genie.jl) provide a powerful and complete solution for building
beautiful, responsive, reactive, high performance interactive data dashboards in pure Julia.

`StippleCharts` provides access to multiple multiple types of reactive charts components, including line, bar, scatter, bubble, pie, donut, and column.

## Installation

```julia
pkg> add StippleCharts
```

## Demos

### German Credits visualisation dashboard

<img src="https://genieframework.com/githubimg/Screenshot_German_Credits.png" width=800>

The full application is available at:
<https://github.com/GenieFramework/Stipple-Demo-GermanCredits>

### Iris Flowers dataset k-Means clustering dashboard

<img src="https://genieframework.com/githubimg/Screenshot_Iris_Data.png" width=800>

The full application is available at:
<https://github.com/GenieFramework/Stipple-Demo-IrisClustering>

## Acknowledgements

StippleCharts builds upon the excellent ApexCharts Vue components <https://apexcharts.com/vue-chart-demos/>
